      program main
      include 'mpif.h'
      integer nprocs,myrank,ierr
      call mpi_init(ierr)
      call mpi_comm_size(MPI_COMM_WORLD,nprocs,ierr)
      call mpi_comm_rank(MPI_COMM_WORLD,myrank,ierr)
      write(6,*) 'Hello, World. My rank is', myrank
      call mpi_finalize(ierr)
      stop
      end
